Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class ChapterAutoNumber

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.lowagie.text.Section
                      com.lowagie.text.Chapter
                          com.lowagie.text.ChapterAutoNumber

All Implemented Interfaces:
  Element, TextElementArray, Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class ChapterAutoNumber

extends Chapter

Chapter with auto numbering.

Author:
  Michael Niedermair
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class com.lowagie.text.Section
`bookmarkOpen, bookmarkTitle, indentation, indentationLeft, indentationRight, numberDepth, numbers, subsections, title, triggerNewPage`

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`ChapterAutoNumber(Paragraph para)` Create a new object.
`ChapterAutoNumber(String title)` Create a new objet.

Method Summary
`Section` | `addSection(Paragraph title)` Create a new section for this chapter and add it.
`Section` | `addSection(String title)` Create a new section for this chapter and ad it.

Methods inherited from class com.lowagie.text.Chapter
`type`

Methods inherited from class com.lowagie.text.Section
`add, add, addAll, addMarkedSection, addSection, addSection, addSection, addSection, addSection, addSection, addSection, depth, getBookmarkTitle, getChunks, getDepth, getIndentation, getIndentationLeft, getIndentationRight, getNumberDepth, getTitle, indentation, indentationLeft, indentationRight, isBookmarkOpen, isChapter, isSection, isTriggerNewPage, numberDepth, process, setBookmarkOpen, setBookmarkTitle, setChapterNumber, setIndentation, setIndentationLeft, setIndentationRight, setNumberDepth, setTitle, setTriggerNewPage, title`

Methods inherited from class java.util.ArrayList
`addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### ChapterAutoNumber

    public ChapterAutoNumber(Paragraph para)

  Create a new object.

  Parameters:
    `para` - the Chapter title (as a `Paragraph`)

### ChapterAutoNumber

    public ChapterAutoNumber(String title)

  Create a new objet.

  Parameters:
    `title` - the Chapter title (as a `String`)

Method Detail

### addSection

    public Section addSection(String title)

  Create a new section for this chapter and ad it.

  Overrides:
    `addSection` in class `Section`
  Parameters:
    `title` - the Section title (as a `String`)
  Returns:
    Returns the new section.

### addSection

    public Section addSection(Paragraph title)

  Create a new section for this chapter and add it.

  Overrides:
    `addSection` in class `Section`
  Parameters:
    `title` - the Section title (as a `Paragraph`)
  Returns:
    Returns the new section.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD